####Packages installed for this project####
#following were used in Rarefaction_parkinsons.R, Diversity_Metrics+Statistical_Testing+Binning.R,
#Microbiome_Analysis.R

if (!requireNamespace("BiocManager", quietly = TRUE))
  install.packages("BiocManager")

BiocManager::install("phyloseq", force = TRUE)
install.packages("ape")
install.packages("vegan")
installed.packages("tidyverse")

installed.packages("indicspecies")

install.packages("EnhancedVolcano")
BiocManager::install("DESeq2")

BiocManager::install("microbiome")
install.packages('ggVennDiagram')

####Picrust Packages####
install.packages("ggpicrust2")
pkgs <- c("phyloseq", "ALDEx2", "SummarizedExperiment", "Biobase", "devtools", 
          "ComplexHeatmap", "BiocGenerics", "BiocManager", "metagenomeSeq", 
          "Maaslin2", "edgeR", "lefser", "limma", "KEGGREST", "DESeq2")
for (pkg in pkgs) {
  if (!requireNamespace(pkg, quietly = TRUE))
    BiocManager::install(pkg)
}
#the following packages were used in our team's picrust code
library("readr")
library("ggpicrust2")
library("tibble")
library("tidyverse")
library("ggprism")
library("patchwork")
library("DESeq2")
library("ggh4x")


